在开始使用前，你需要安装 [Node.js](https://nodejs.org/)，并保证 Node.js 版本不低于 14.17.6，**我们推荐使用 Node.js 16 的 LTS 版本**。

你可以通过以下命令检查当前使用的 Node.js 版本：

```bash
node -v
# v16.19.1
```

如果你当前的环境中尚未安装 Node.js，或是安装的版本低于 14.17.6，可以通过 [nvm](https://github.com/nvm-sh/nvm) 或 [fnm](https://github.com/Schniz/fnm) 安装需要的版本。

下面是通过 nvm 安装 Node.js 16 LTS 版本的例子：

```bash
# 安装 Node.js 16 的长期支持版本
nvm install 16 --lts

# 将刚安装的 Node.js 16 设置为默认版本
nvm alias default 16

# 切换到刚安装的 Node.js 16
nvm use 16
```

:::tip nvm 和 fnm
nvm 和 fnm 都是 Node.js 版本管理工具。相对来说，nvm 较为成熟和稳定，而 fnm 是使用 Rust 实现的，比 nvm 提供了更好的性能。
:::

此外，在安装 nvm 或 fnm 后，然后只要仓库根目录下有内容为 `lts/gallium` 的 `.nvmrc` 文件，进入这个仓库时就会自动安装或切换到正确的 Node.js 版本。
